FLANG

Public Member Functions | Protected Attributes | List of all members
fir::AbstractBox Class Reference

Abstract base class. More...

`#include <flang/Lower/Support/BoxValue.h>`

Inheritance diagram for fir::AbstractBox:

## Public Member Functions
| AbstractBox (mlir::Value addr)
mlir::Value | getAddr () const

## Protected Attributes
mlir::Value | addr

## Detailed Description

Abstract base class.

The documentation for this class was generated from the following file:

- include/flang/Lower/Support/BoxValue.h